<app-header-logged [pageOrigine]=LIENPAGECLIENTCOMMERCIAL>
  <ion-back-button  text ="" [defaultHref]=LIENMESCLIENTS></ion-back-button>
</app-header-logged>
<ion-content [ngClass]="largeur>500? 'largeContent' : 'smallContent' " [ngClass]="largeur<360? 'xsmallContent' : '' " >
  <app-refresher></app-refresher>
  <ion-grid>
    <ion-row>
      
      
      <ion-col text-right ><ion-label class="titreUser">{{nom}}</ion-label><br>
        <ion-label class="titreUser">{{montantCompteCredit}}</ion-label>
        
      </ion-col>
    </ion-row>
  </ion-grid> 
  
  
  <div class ="container">
    
    <div class="inputBlock">
      <p class="question">Choisissez un client</p>
      <div class="itemInput" >  
        <ionic-selectable modalCssClass="modal-css"  #portComponent height="80%" 
        [(ngModel)]="clientSelection"
        [ngModelOptions]="{standalone: true}"
        [items]="clients"
        itemValueField="id"
        itemTextField="id"
        [canSearch]="true"
        (onChange)="portChangeObjet($event)"
        
        [canClear]="true"
        clearButtonText="Effacer"
        closeButtonText="Retour">
        <ng-template ionicSelectableHeaderTemplate>
          <ion-toolbar>
            <ion-buttons end>
              <button  ion-button (click)="portComponent.close()">
                <ion-label color ="primary">{{portComponent.closeButtonText}}</ion-label>
              </button>
            </ion-buttons>
            <ion-title>
              Selection Client
            </ion-title>
          </ion-toolbar>
        </ng-template>
        <ng-template ionicSelectableSearchFailTemplate>
          <div padding>
            Vous n'avez  enregistré aucun client correspondant à la description
          </div>
        </ng-template>
        <ng-template ionicSelectableItemTemplate let-port="item">
          <ion-grid>
            <ion-row>
              <ion-col>
                    id
                
              </ion-col>
              <ion-col>
                {{port.contact.nom}}
                
              </ion-col>
              <ion-col>
                {{port.contact.prenom}}
                
              </ion-col>
              <ion-col>
                {{port.contact.datedenaissance}}
                
              </ion-col>
            </ion-row>
          </ion-grid>
        </ng-template>
       
      </ionic-selectable>
     </div>
    </div> 
      <div class ="bodyContainer">
        <div class="grids">
          
          <div  routerLink="/mesassurances" class="block">
            <div class="image">
              <img src="../../assets/icon/users.svg">
            </div>
            <p>Assurances Client </p>
          </div>
          <div routerLink="/mes-services"  class="block">
            <div class="image">
              <img src="../../assets/icon/setting.svg">
            </div>
            <p>Services Client</p>
          </div>
        </div>
        <div class="grids">  
          <div routerLink="/myprofile"  class="block">
            <div class="image">
              <img src="../../assets/icon/simulation.svg">
            </div>
            <p>Compte Client</p>
          </div>
          <div routerLink="/gestion-mes-simulations"  class="block">
            <div class="image">
              <img src="../../assets/icon/simulation.svg">
            </div>
            <p>Simulations Client</p>
          </div>
          
        </div>
      </div>
      
    </div>
  
  </ion-content>
  
  <ion-footer>
    <app-custom-tab-bar></app-custom-tab-bar>
  </ion-footer>